# Uses of Interface
org.opensaml.saml.saml1.core.ConfirmationMethod

Packages that use ConfirmationMethod
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.

## Uses of ConfirmationMethod in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type ConfirmationMethod
Modifier and Type
Method
Description
`List<ConfirmationMethod>`
SubjectConfirmation.`getConfirmationMethods()`
Get a mutable list of all the ConfirmationMethods.

## Uses of ConfirmationMethod in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement ConfirmationMethod
Modifier and Type
Class
Description
`class`
`ConfirmationMethodImpl`
Concrete Implementation of the `ConfirmationMethod` interface.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type ConfirmationMethod
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ConfirmationMethod>`
SubjectConfirmationImpl.`confirmationMethods`
Contains the list of ConfirmationMethods.
Methods in org.opensaml.saml.saml1.core.impl that return ConfirmationMethod
Modifier and Type
Method
Description
`ConfirmationMethod`
ConfirmationMethodBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ConfirmationMethod`
ConfirmationMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type ConfirmationMethod
Modifier and Type
Method
Description
`List<ConfirmationMethod>`
SubjectConfirmationImpl.`getConfirmationMethods()`
Get a mutable list of all the ConfirmationMethods.

## Uses of ConfirmationMethod in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type ConfirmationMethod
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<ConfirmationMethod>`
AddSubjectConfirmationToSubjects.`confirmationMethodBuilder`
Builder for ConfirmationMethod objects.